using System;
using System.Runtime.InteropServices;
 
namespace AddinAndExcelUDFExample
{
    /// <summary>
    ///   Add-in Express Excel Add-in Module
    /// </summary>
    [GuidAttribute("BB28F30C-3CD2-423D-AEB3-CD154A13C11F"),
    ProgId("AddinAndExcelUDFExample.ExcelUDFModule"), ClassInterface(ClassInterfaceType.AutoDual)]
    public class ExcelUDFModule : AddinExpress.MSO.ADXExcelAddinModule
    {
        public ExcelUDFModule()
        {
        }
 
        #region ADX automatic code
 
        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXExcelAddinModule.ADXExcelAddinRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXExcelAddinModule.ADXExcelAddinUnregister(t);
        }
 
        #endregion

        public string MyFunction()
        {
            return "Hello. I am UDF.";
        }
 
    }
}

